PLplot: qsastime_extra.c File Reference

PLplot 5.15.0

Functions | Variables
qsastime_extra.c File Reference
`#include "qsastime_extra.h"`

Go to the source code of this file.

## Functions
int | setFromISOstring (const char *ISOstring, MJDtime *MJD, int forceJulian)
void | setFromDOY (int year, int doy, int hour, int min, double sec, MJDtime *MJD, int forceJulian)
void | setFromBCE (int yearBCE, int month, int day, int hour, int min, double sec, MJDtime *MJD, int forceJulian)
void | setFromMJD (double ModifiedJulianDate, MJDtime *MJD)
void | setFromJD (double JulianDate, MJDtime *MJD)
void | setFromCDFepoch (double cdfepoch, MJDtime *MJD)
double | getCDFepoch (MJDtime *MJD)
double | getMJD (MJDtime *MJD)
double | getJD (MJDtime *MJD)
double | getDiffDays (MJDtime *MJD1, MJDtime *MJD2)
double | getDiffSecs (MJDtime *MJD1, MJDtime *MJD2)
const char * | getISOString (MJDtime *MJD, int delim, int forceJulian)

## Variables
static double | MJDtoJD = 2400000.5
static double | SecInDay = 86400

## Function Documentation

## ◆ getCDFepoch()

double getCDFepoch | ( | MJDtime * | MJD | ) |

Definition at line 186 of file qsastime_extra.c.

## ◆ getDiffDays()

double getDiffDays | ( | MJDtime * | MJD1,
|  | MJDtime * | MJD2
| ) |  |

Definition at line 209 of file qsastime_extra.c.

## ◆ getDiffSecs()

double getDiffSecs | ( | MJDtime * | MJD1,
|  | MJDtime * | MJD2
| ) |  |

Definition at line 216 of file qsastime_extra.c.

## ◆ getISOString()

const char* getISOString | ( | MJDtime * | MJD,
|  | int | delim,
|  | int | forceJulian
| ) |  |

Definition at line 223 of file qsastime_extra.c.

## ◆ getJD()

double getJD | ( | MJDtime * | MJD | ) |

Definition at line 202 of file qsastime_extra.c.

## ◆ getMJD()

double getMJD | ( | MJDtime * | MJD | ) |

Definition at line 196 of file qsastime_extra.c.

## ◆ setFromBCE()

void setFromBCE | ( | int | yearBCE,
|  | int | month,
|  | int | day,
|  | int | hour,
|  | int | min,
|  | double | sec,
|  | MJDtime * | MJD,
|  | int | forceJulian
| ) |  |

Definition at line 150 of file qsastime_extra.c.

## ◆ setFromCDFepoch()

void setFromCDFepoch | ( | double | cdfepoch,
|  | MJDtime * | MJD
| ) |  |

Definition at line 174 of file qsastime_extra.c.

## ◆ setFromDOY()

void setFromDOY | ( | int | year,
|  | int | doy,
|  | int | hour,
|  | int | min,
|  | double | sec,
|  | MJDtime * | MJD,
|  | int | forceJulian
| ) |  |

Definition at line 91 of file qsastime_extra.c.

## ◆ setFromISOstring()

int setFromISOstring | ( | const char * | ISOstring,
|  | MJDtime * | MJD,
|  | int | forceJulian
| ) |  |

Definition at line 46 of file qsastime_extra.c.

## ◆ setFromJD()

void setFromJD | ( | double | JulianDate,
|  | MJDtime * | MJD
| ) |  |

Definition at line 165 of file qsastime_extra.c.

## ◆ setFromMJD()

void setFromMJD | ( | double | ModifiedJulianDate,
|  | MJDtime * | MJD
| ) |  |

Definition at line 158 of file qsastime_extra.c.

## Variable Documentation

## ◆ MJDtoJD

double MJDtoJD = 2400000.5
| static

Definition at line 43 of file qsastime_extra.c.

## ◆ SecInDay

double SecInDay = 86400
| static

Definition at line 44 of file qsastime_extra.c.